(function() {
	var elems;

	function init() {
		elems = {
			name: document.getElementById("name"),
			level: document.getElementById("level"),
			energy: document.getElementById("energy"),
			txu: document.getElementById("txu"),
			tinidiem: document.getElementById("tinidiem"),
		};
	}

	/**
	 * set new data for the view
	 * @param {string} name
	 * @param {string|number} value
	 */
	window.setData = function(name, value) {
		console.log("setData", arguments);
		var elem = elems[name];
		if (elem) {
			elem.innerText = value;
		}
	};

	function close() {
		CocoonJS.WebDialog.close();
	}

	window.addEventListener("load", init);
	window.addEventListener("click", close);
	window.addEventListener("touchend", close);
})();